# FactoryMethodDesign class

Describes a factory method used to create a pod (component).

This includes the name of the pod and the method name that acts as the factory.

### Example

    final factory = FactoryMethodDesign("UserPod", "createUser");

    print(factory.podName); // "UserPod"
    print(factory.methodName); // "createUser"

Mixed-in types
  - EqualsAndHashCode
  - ToString

## Constructors

FactoryMethodDesign.new(String podName, String methodName, [Class? factoryType])
  Creates a FactoryMethodDesign for the given `podName` and `methodName`.

## Properties

factoryType ↔ Class?
  The Class type that this pod factory method belongs to.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
methodName ↔ String
  The name of the factory method to invoke.
  getter/setter pair
podName ↔ String
  The name of the pod (component) this factory belongs to.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equalizedProperties() → List<Object?>
  Mixin-style contract for value-based equality, `hashCode`, and `toString`.
  override
getFactoryMethod() → Method?
  Returns the factory method for this pod definition.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited
toStringOptions() → ToStringOptions
  override

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited